Foxit PDF RDK

Public Member Functions | Public Attributes | List of all members
RenderConfig Class Reference
Inheritance diagram for RenderConfig:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (graphics_objs_count_in_one_step)
| Constructor, with parameter. More...
| Set (graphics_objs_count_in_one_step)
| Set value. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| graphics_objs_count_in_one_step
| The count of graphics objects to be rendered in one step during progressive rendering process. This should be a positive value. More...

## Detailed Description

This class represents rendering configuration which is a global configuration. This configuration can be retrieved by function Library.GetRenderConfig and be set by function Library.SetRenderConfig.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

RenderConfig.constructor | ( | graphics_objs_count_in_one_step |  | ) |

Constructor, with parameter.

Parameters

  [in] | graphics_objs_count_in_one_step | The count of graphics objects to be rendered in one step during progressive rendering process. This should be a positive value.

## ◆ Set()

RenderConfig.Set | ( | graphics_objs_count_in_one_step |  | ) |

Set value.

Parameters

  [in] | graphics_objs_count_in_one_step | The count of graphics objects to be rendered in one step during progressive rendering process. This should be a positive value.

@ return None.

## Member Data Documentation

## ◆ graphics_objs_count_in_one_step

RenderConfig.graphics_objs_count_in_one_step

The count of graphics objects to be rendered in one step during progressive rendering process. This should be a positive value.

In Foxit PDF SDK, rendering process can be progressive – that means the rendering process will be separated into many steps and during each step a certain count of graphics objects will be rendered. When one step is finished, Foxit PDF SDK will check and ask user whether current process needs to be paused or not (if a PauseCallback is used for the process of Renderer.StartRender). This certain count is just used as a suggestion for Foxit PDF SDK to decide when to check during progressive rendering process, but cannot fully control the number of steps in a progressive rendering process. For example, when a form XObject or a shading object is to be rendered, Foxit PDF SDK will ask user whether current process needs to be paused or not, without considering this count.